Skip to main content
GET
/
abdm
/
v1
/
registration
/
pincode
/
{pincode}
cURL
curl --request GET \
  --url https://api.eka.care/abdm/v1/registration/pincode/{pincode} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.eka.care/abdm/v1/registration/pincode/{pincode}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.eka.care/abdm/v1/registration/pincode/{pincode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "dist_code": "<string>",
  "dist_name": "<string>",
  "pincode": "<string>",
  "state_code": "<string>",
  "state_name": "<string>"
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Path Parameters

pincode
string
required

Pincode to fetch its details.

Response

OK

dist_code
string

Unique code representing the district

Example:

"339"

dist_name
string

Name of the district

Example:

"Ranchi"

pincode
string

Postal code of the area

Example:

"834001"

state_code
string

Unique code representing the state

Example:

"20"

state_name
string

Name of the state

Example:

"Jharkhand"